
コア - 機能 #4028

モジュールロード時のエラーを取得できるようにする。

04/24/2017 05:45 PM - n-ando

Status: 解決 Start date: 09/08/2017

Priority: 通常 Due date:  

Assignee: n-ando % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: RELENG_1_2   

Description

モジュールロード時のエラーを取得できるようにする。

Related issues:

Related to OpenRTM-aist (Java) - 機能 #4186: モジュールロード時のエラーを取得できるようにする 担当 09/08/2017

Associated revisions

Revision 2990 - 04/26/2017 10:48 PM - n-ando

[incompat,return] Now Manager::load() function returns error code. refs #4028

Revision 2990 - 04/26/2017 10:48 PM - n-ando

[incompat,return] Now Manager::load() function returns error code. refs #4028

Revision 3102 - 12/10/2017 09:14 AM - n-ando

merged chages from trunk/OpenRTM-aist r2978-2990 during 2017-04:

[incompat,newfunc,->RELENG_1_2] CPU affinity functionality in coil implemented.

[incompt,newfunc,->RELENG_1_2] getManagerServant() and getNamingManager() have been added. refs #3273

[incompat,newfunc,->RELENG_1_2] A new operation added to the ManagerServant interface. refs #3273

[incompat,newfunc,->RELENG_1_2] A new operation implemented to the ManagerServant. refs #3273

[compat,bugfix,->RELENG_1_2] A bug that INSManager created only in master manager has been fixed.

[incompat,newfunc,->RELENG_1_2] A new operation implemented to the ManagerServant. refs #3273

[incompat,newfunc,->RELENG_1_2] To extend the RTC numbering policy, base class has been introduced. refs #3273

[incompat,newfunc,->RELENG_1_2] To extend the RTC numbering policy, base class has been introduced. refs #3273

[compat,package,->RELENG_1_2] Description of deb package in control files have been updateded. refs #4022

[compat,package,->RELENG_1_2] Description of rpm package in control files have been updateded. refs #4022

[compat,bugfix,->RELENG_1_2] Unused header include has been removed.

[incompat,return,->RELENG_1_2] Now Manager::load() function returns error code. refs #4028
merged chages from trunk/OpenRTM-aist r2978-2990 during 2017-04:

[incompat,newfunc,->RELENG_1_2] CPU affinity functionality in coil implemented.

[incompt,newfunc,->RELENG_1_2] getManagerServant() and getNamingManager() have been added. refs #3273

[incompat,newfunc,->RELENG_1_2] A new operation added to the ManagerServant interface. refs #3273

[incompat,newfunc,->RELENG_1_2] A new operation implemented to the ManagerServant. refs #3273

[compat,bugfix,->RELENG_1_2] A bug that INSManager created only in master manager has been fixed.

[incompat,newfunc,->RELENG_1_2] A new operation implemented to the ManagerServant. refs #3273
[compat,package,->RELENG_1_2] Description of deb package in control files have been updateded. refs #4022
[compat,bugfix,->RELENG_1_2] Unused header include has been removed.
[incompat,return,->RELENG_1_2] Now Manager::load() function returns error code. refs #4028

History

#1 - 04/26/2017 10:48 PM - n-ando

- Status changed from 新規 to 解決

- % Done changed from 0 to 100

以下のreturn codeを返すように修正。

     * @return 終了コード

     *         RTC::RTC_OK 正常終了

     *         RTC::RTC_ERROR ロード失敗・不明なエラー

     *         RTC::PRECONDITION_NOT_MET 設定にり許可されない操作

     *         RTC::BAD_PARAMETER 不正なパラメータ

#2 - 05/30/2017 02:49 PM - n-ando

- % Done changed from 100 to 80

ManagerServant::load_module() でエラーを返すようにする。

なぜエラーになったのかなどの情報を返すようにする。

create_component で自動ロードはしなくてもいい、してもエラーがいろいろでるので、何とかしたい。

#3 - 09/08/2017 02:24 PM - katami

- Related to 機能 #4186: モジュールロード時のエラーを取得できるようにする added
